<link rel="stylesheet" href="../assets/bundles/fullcalendar/fullcalendar.min.css">

<section class="section">
	<div class="section-body">
		<div class="row">
			<div class="col-12">
				<div class="card">
					<div class="card-body">
						<div class="fc-overflow">
							<div id="citas"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>

<script src="../assets/bundles/fullcalendar/fullcalendar.min.js"></script>

<script>
	$(function() {
		var initialLocaleCode = 'es';
		var today = new Date();
		year = today.getFullYear();
		month = today.getMonth();
		day = today.getDate();

		var calendar = $('#citas').fullCalendar({
			height: 'auto',
			defaultView: 'month',
			editable: true,
			selectable: true,

			header: {
				left: 'prev,next today',
				center: 'title',
				right: 'month,agendaWeek,agendaDay,listMonth'
			},

			defaultDate: '<?php echo date('Y-m-d'); ?>',
			locale: initialLocaleCode,

			events: [
				<?php
					$citas = "
						SELECT 
							id_cita,
							CONCAT(clientes.nombre, ' ', apellido) AS cliente, 
							telefono, 
							email, 
							CONCAT(marcas.nombre, ' ', modelos.nombre, '-', modelos.anio) AS modelo,
							placa,
							autos.anio,
							motor,
							tarjeta,
							foto,
							fecha,
							DATE_FORMAT(fecha, '%d/%m/%Y') AS fec,
							DATE_FORMAT(fecha, '%Y') AS anioc,
							DATE_FORMAT(fecha, '%d') AS diac,
							DATE_FORMAT(fecha, '%m') AS mesc,
							TIME_FORMAT(hora, '%H') AS horac,
							TIME_FORMAT(hora, '%i') AS minc,
							hora,
							titulo,
							detalles,
							costo
						FROM citas
						INNER JOIN clientes ON citas.id_cliente = clientes.id_cliente
						INNER JOIN autos ON citas.id_auto = autos.id_auto
						INNER JOIN modelos ON autos.id_modelo = modelos.id_modelo
						INNER JOIN marcas ON modelos.id_marca = marcas.id_marca
					";

					$citas = mysql_query($citas, $cn);

					while ($rc = mysql_fetch_array($citas)) {
						?>
							{
								title: "<?php echo $rc['cliente']; ?>",
								url: "#ver<?php echo $rc['id_cita']; ?>",
								start: new Date(<?php echo $rc['anioc']; ?>, <?php echo $rc['mesc']-1; ?>, <?php echo $rc['diac']; ?>, <?php echo $rc['horac']; ?>, <?php echo $rc['minc']; ?>),
								backgroundColor: "#cf1b29"
							},
						<?php
					}
				?>
			]
		});
	});
</script>

<?php
	$citas = "
		SELECT 
			id_cita,
			CONCAT(clientes.nombre, ' ', apellido) AS cliente, 
			telefono, 
			email, 
			direccion,
			CONCAT(marcas.nombre, ' ', modelos.nombre, '-', modelos.anio) AS modelo,
			placa,
			autos.anio AS ani,
			motor,
			tarjeta,
			foto,
			fecha,
			DATE_FORMAT(fecha, '%d/%m/%Y') AS fec,
			DATE_FORMAT(fecha, '%Y') AS anioc,
			DATE_FORMAT(fecha, '%d') AS diac,
			DATE_FORMAT(fecha, '%m') AS mesc,
			TIME_FORMAT(hora, '%H') AS horac,
			TIME_FORMAT(hora, '%i') AS minc,
			hora,
			titulo,
			detalles,
			costo
		FROM citas
		INNER JOIN clientes ON citas.id_cliente = clientes.id_cliente
		INNER JOIN autos ON citas.id_auto = autos.id_auto
		INNER JOIN modelos ON autos.id_modelo = modelos.id_modelo
		INNER JOIN marcas ON modelos.id_marca = marcas.id_marca
	";

	$citas = mysql_query($citas, $cn);

	while ($rc = mysql_fetch_array($citas)) {
		?>
			<div id="ver<?php echo $rc['id_cita']; ?>" class="modal fade">
				<div class="modal-dialog">
					<div class="modal-content">
						<form method="POST" enctype="multipart/form-data">
							<div class="modal-header bg-danger">
								<h4 class="modal-title" style="color:#fff">Cita <b><?php echo $rc['fec']." ".$rc['hora']; ?></b></h4>
								<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
							</div>

							<div class="modal-body">
								<div class="container-fluid">
									<div class="row">
										<div id="accordion<?php echo $rc['id_cita']; ?>">
											<div class="accordion">
												<div class="accordion-header" role="button" data-toggle="collapse" data-target="#panel-body-cl01<?php echo $rc['id_cita']; ?>"
												aria-expanded="true">
													<h4>Datos de Cita</h4>
												</div>

												<div class="accordion-body collapse show" id="panel-body-cl01<?php echo $rc['id_cita']; ?>" data-parent="#accordion<?php echo $rc['id_cita']; ?>">
													<h4><?php echo $rc['titulo']; ?></h4>
													<p>
														<?php echo $rc['detalles']; ?><br>
														Costo Estimado: <b>$<?php echo number_format($rc['costo'],2); ?></b>
													</p>
												</div>
											</div>

											<div class="accordion">
												<div class="accordion-header" role="button" data-toggle="collapse" data-target="#panel-body-cl02<?php echo $rc['id_cita']; ?>">
													<h4>Datos del Cliente</h4>
												</div>

												<div class="accordion-body collapse" id="panel-body-cl02<?php echo $rc['id_cita']; ?>" data-parent="#accordion<?php echo $rc['id_cita']; ?>">
													<p class="mb-0">
														Cliente: <b><?php echo $rc['cliente']; ?></b><br>
														Telefono: <b><?php echo $rc['telefono']; ?></b><br>
														Email: <b><?php echo $rc['email']; ?></b><br>
														Direccion: <b><?php echo $rc['direccion']; ?></b>
													</p>
												</div>
											</div>

											<div class="accordion">
												<div class="accordion-header" role="button" data-toggle="collapse" data-target="#panel-body-cl03<?php echo $rc['id_cita']; ?>">
													<h4>Datos del Auto</h4>
												</div>

												<div class="accordion-body collapse" id="panel-body-cl03<?php echo $rc['id_cita']; ?>" data-parent="#accordion<?php echo $rc['id_cita']; ?>">
													<img src="../<?php echo $rc['foto']; ?>" class="img-fluid img-thumbnail">
													<p class="mb-0">
														Modelo: <b><?php echo $rc['modelo']; ?></b><br>
														Placa: <b><?php echo $rc['placa']; ?></b><br>
														Año: <b><?php echo $rc['ani']; ?></b><br>
														Motor: <b><?php echo $rc['motor']; ?></b><br>
														Tarjeta: <b><?php echo $rc['tarjeta']; ?></b>
													</p>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
						</form>
					</div>
				</div>
			</div>
		<?php
	}
?>